/*
 * @(#)UuencodeExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.util.Uuencode;
import java.io.*;

public class UuencodeExample {
    public void encode(String text) {
        Uuencode codec = new Uuencode();
        System.out.println("Before Uuencode encoding: " + text);
        System.out.println("After Uuencode encoding: " + new String(codec.encode(text.getBytes())));
    }
    
    public static void main(String[] args) {
        String text;
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter text to encode: ");
            text = reader.readLine();
            UuencodeExample example = new UuencodeExample();
            example.encode(text);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

