/*
 * @(#)MD5Example.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.util.MD5;
import java.io.*;

public class MD5Example {
    
    public void getHash(String text) {
        MD5 md5 = new MD5(text);
        System.out.println("Before hash: " + text);
        System.out.println("After hash: " + md5.getHash());
    }
    
    public static void main(String[] args) {
        String text;
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter text to hash: ");
            text = reader.readLine();
            MD5Example example = new MD5Example();
            example.getHash(text);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}
